import { storagePath } from '$lib';
import { json } from '@sveltejs/kit';
import { readdirSync, statSync } from 'fs';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = () => {
	const names = readdirSync(storagePath)
		.filter((f) => statSync(`${storagePath}/${f}`).isDirectory())
		.toSorted();

	return json(names);
};
