import { expect, test } from '@playwright/test';

test('contains header text', async ({ playwright }) => {
	const context = await playwright.request.newContext();
	const response = await context.get('');
	await expect(response.status()).toBe(200);

	const body = (await response.body()).toString();
	await expect(body).toContain('Gabi und Hannes Fotochallenge');
});
